Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ipipan.spejd.rules
Class Gazetteer

    java.lang.Object
      ipipan.spejd.rules.Gazetteer

All Implemented Interfaces:
  Match

    public class Gazetteer

extends java.lang.Object
implements Match

Not official yet.

Constructor Summary
`Gazetteer(int order, int type, Config conf)`

Method Summary
`void` | `addEntry(GazetteerEntry entry)`
`boolean` | `apply(Entity[] chunk)`
`java.lang.String` | `concatAttr(int id, Entity[] s, int start, int length, boolean countNospace)` This is a modified copy of Entity's method - to get rid of "static".
`Entity[]` | `get(int[] s)`
`Entity[]` | `getMatch()`
`Entity` | `getSingle(int s)`
`Entity[]` | `getSpec(int s)`
`void` | `log(java.io.PrintStream log)`
`void` | `report(java.io.PrintStream log)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Gazetteer

    public Gazetteer(int order,
                     int type,
                     Config conf)

Method Detail

### addEntry

    public void addEntry(GazetteerEntry entry)

### concatAttr

    public java.lang.String concatAttr(int id,
                                       Entity[] s,
                                       int start,
                                       int length,
                                       boolean countNospace)

  This is a modified copy of Entity's method - to get rid of "static". Concatenate orth or base of a sequence of entities, adding space or not with respect to ns special entities.

  Parameters:
    `id` - attribute to concatenate (Attribute.ORTH or Attribute.BASE)
    `s` - an array of Entities
    `start` - start of the sequence to concatenate
    `length` - length of the sequence to concatenate
    `countNospace` - whether NOSPACE should be counted in the length

### apply

    public boolean apply(Entity[] chunk)

### getSingle

    public Entity getSingle(int s)

  Specified by:
    `getSingle` in interface `Match`

### getSpec

    public Entity[] getSpec(int s)

  Specified by:
    `getSpec` in interface `Match`

### get

    public Entity[] get(int[] s)

  Specified by:
    `get` in interface `Match`

### getMatch

    public Entity[] getMatch()

  Specified by:
    `getMatch` in interface `Match`

### log

    public void log(java.io.PrintStream log)

### report

    public void report(java.io.PrintStream log)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD